org.apache.olingo.ext.proxy.commons

## Class ComplexInvocationHandler

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.AbstractStructuredInvocationHandler
  - - org.apache.olingo.ext.proxy.commons.ComplexInvocationHandler

- All Implemented Interfaces:
    InvocationHandler

      public class ComplexInvocationHandler
      extends AbstractStructuredInvocationHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG` Logger.
    `protected AbstractService<?>` | `service`

    - ### Fields inherited from class org.apache.olingo.ext.proxy.commons.AbstractStructuredInvocationHandler

      `baseURI, entityHandler, internal, linkCache, linkChanges, propertyCache, propertyChanges, streamedPropertyCache, streamedPropertyChanges, typeRef, uri`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static URIBuilder` | `buildEntitySetURI(Class<?> ref, AbstractService<?> service)`
    `protected static URIBuilder` | `buildEntitySetURI(String entitySetName, AbstractService<?> service)`
    `protected <S extends EntityType<?>> void` | `deleteEntity(EntityInvocationHandler handler, URI entitySetURI)`
    `boolean` | `equals(Object obj)`
    `protected EdmEnabledODataClient` | `getClient()`
    `ClientComplexValue` | `getComplex()`
    `protected ComplexType<?>` | `getComplex(String name, ClientValue value, Class<?> ref, EntityInvocationHandler handler, URI baseURI, boolean collectionItem)`
    `protected Context` | `getContext()`
    `static ComplexInvocationHandler` | `getInstance(Class<?> typeRef, AbstractService<?> service)`
    `static ComplexInvocationHandler` | `getInstance(Class<?> typeRef, AbstractService<?> service, URIBuilder uri)`
    `static ComplexInvocationHandler` | `getInstance(ClientComplexValue complex, Class<?> typeRef, AbstractService<?> service)`
    `static ComplexInvocationHandler` | `getInstance(ClientComplexValue complex, Class<?> typeRef, AbstractService<?> service, URIBuilder uri)`
    `static ComplexInvocationHandler` | `getInstance(EntityInvocationHandler handler, Class<?> typeRef)`
    `protected List<ClientProperty>` | `getInternalProperties()`
    `protected ClientProperty` | `getInternalProperty(String name)`
    `protected Object` | `getNavigationPropertyValue(NavigationProperty property, Method getter)`
    `int` | `hashCode()`
    `protected Object` | `invokeSelfMethod(Method method, Object[] args)`
    `protected boolean` | `isDeleted(EntityInvocationHandler handler)`
    `protected boolean` | `isSelfMethod(Method method)`
    `protected void` | `load()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.ext.proxy.commons.AbstractStructuredInvocationHandler

      `addAdditionalProperty, addLinkChanges, addPropertyChanges, applyChanges, applyChanges, applyChangesOnChildren, attach, attach, attach, clearQueryOptions, delete, delete, expand, getEntityHandler, getInternal, getLinkChanges, getNavPropAnnotatableHandlers, getPropAnnotatableHandlers, getPropertyChanges, getPropertyValue, getStreamedPropertyChanges, getStructuredInvocationHandler, getTypeRef, hasCachedPropertyChanged, hasDeepPropertyChanges, hasPropertyChanges, invoke, isChanged, putNavPropAnnotatableHandler, putPropAnnotatableHandler, readAdditionalProperty, readAdditionalPropertyNames, refs, removeAdditionalProperty, retrieveNavigationProperty, select, setEntityHandler, setPropertyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.slf4j.Logger LOG

      Logger.

    - #### service

          protected AbstractService<?> service

  - ### Method Detail

    - #### getInstance

          public static ComplexInvocationHandler getInstance(EntityInvocationHandler handler,
                                                             Class<?> typeRef)

    - #### getInstance

          public static ComplexInvocationHandler getInstance(ClientComplexValue complex,
                                                             Class<?> typeRef,
                                                             AbstractService<?> service)

    - #### getInstance

          public static ComplexInvocationHandler getInstance(Class<?> typeRef,
                                                             AbstractService<?> service)

    - #### getInstance

          public static ComplexInvocationHandler getInstance(Class<?> typeRef,
                                                             AbstractService<?> service,
                                                             URIBuilder uri)

    - #### getInstance

          public static ComplexInvocationHandler getInstance(ClientComplexValue complex,
                                                             Class<?> typeRef,
                                                             AbstractService<?> service,
                                                             URIBuilder uri)

    - #### getComplex

          public ClientComplexValue getComplex()

    - #### getNavigationPropertyValue

          protected Object getNavigationPropertyValue(NavigationProperty property,
                                                      Method getter)

      Specified by:
        `getNavigationPropertyValue` in class `AbstractStructuredInvocationHandler`

    - #### load

          protected void load()

      Specified by:
        `load` in class `AbstractStructuredInvocationHandler`

    - #### getInternalProperties

          protected List<ClientProperty> getInternalProperties()

      Specified by:
        `getInternalProperties` in class `AbstractStructuredInvocationHandler`

    - #### getInternalProperty

          protected ClientProperty getInternalProperty(String name)

      Specified by:
        `getInternalProperty` in class `AbstractStructuredInvocationHandler`

    - #### getClient

          protected EdmEnabledODataClient getClient()

    - #### getContext

          protected Context getContext()

    - #### isSelfMethod

          protected boolean isSelfMethod(Method method)

    - #### invokeSelfMethod

          protected Object invokeSelfMethod(Method method,
                                            Object[] args)
                                     throws Throwable

      Throws:
        `Throwable`

    - #### getComplex

          protected ComplexType<?> getComplex(String name,
                                              ClientValue value,
                                              Class<?> ref,
                                              EntityInvocationHandler handler,
                                              URI baseURI,
                                              boolean collectionItem)

    - #### isDeleted

          protected boolean isDeleted(EntityInvocationHandler handler)

    - #### deleteEntity

          protected <S extends EntityType<?>> void deleteEntity(EntityInvocationHandler handler,
                                                                URI entitySetURI)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(Class<?> ref,
                                                        AbstractService<?> service)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(String entitySetName,
                                                        AbstractService<?> service)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.